Summary: Hugs 98: The Nottingham and Yale Haskell system
Name: hugs98
Version: 20021120
%define real_ver Nov2002
Release: 3mdk
Source: http://cvs.haskell.org/Hugs/downloads/hugs98-Nov2002.tar.bz2
Source1: http://www.cse.ogi.edu/PacSoft/projects/Hugs/downloads/libs.tar.gz
Source2: http://haskell.cs.yale.edu/haskell-mode/haskell-mode-1.44.tar.bz2
Url: http://www.haskell.org/hugs/
License: Artistic
Packager: Pixel <pixel@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: ncurses-devel readline-devel
Group: Development/Other

%description
A Haskell interpreter and programming environment for developing cool
Haskell programs.

This release is largely conformant with Haskell 98, including
monad and record syntax, newtypes, strictness annotations, and
modules.  In addition, it comes packaged with the libraries defined
in the most recent version of the Haskell Library Report and with
extension libraries which are compatible with GHC 3.0.

%prep
%setup -q -n %{name}-%{real_ver}
%setup -q -c -n %{name}-%{real_ver}/docs/libs -T -D -a 1

#restore %{name}
%setup -q -n %{name}-%{real_ver} -T -D

%build
cd src/unix
%configure --with-readline --libdir %{_datadir} # force to install in /usr/share/hugs instead of /usr/lib/hugs
cd .. ; %make OPTFLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT

(cd src ; %makeinstall libdir=$RPM_BUILD_ROOT%{_datadir})
install -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 docs/hugs.1 $RPM_BUILD_ROOT%{_mandir}/man1

find docs -name "*~" -o -name .cvsignore | xargs rm -f

install -d $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
(cd $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp ; 
 tar xfj %{SOURCE2} ;
 # fix errors
 perl -pi -e 's/\(enum-from-to/(haskell-enum-from-to/g' *.el
)

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el
(autoload 'haskell-mode "haskell-mode" "Major mode for editing Haskell scripts." t)
(autoload 'literate-haskell-mode "haskell-mode" "Major mode for editing literate Haskell scripts." t)
(add-hook 'haskell-mode-hook 'turn-on-haskell-font-lock)
(add-hook 'haskell-mode-hook 'turn-on-haskell-decl-scan)
(add-hook 'haskell-mode-hook 'turn-on-haskell-doc-mode)
(add-hook 'haskell-mode-hook 'turn-on-haskell-indent)
(add-hook 'haskell-mode-hook 'turn-on-haskell-hugs)
(add-to-list 'auto-mode-alist '("\\\\.[hg]s$"  . haskell-mode))
(add-to-list 'auto-mode-alist '("\\\\.hi$"     . haskell-mode))
(add-to-list 'auto-mode-alist '("\\\\.l[hg]s$" . literate-haskell-mode))
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Install Readme docs
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/hugs
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*


%changelog
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 20021120-3mdk
- rebuild
- quiet setup all the way
- use %%make macro

* Sun Jun 08 2003 Stefan van der Eijk <stefan@eijk.nu> 20021120-2mdk
- BuildRequires

* Fri Dec  6 2002 Pixel <pixel@mandrakesoft.com> 20021120-1mdk
- new release

* Wed Jul 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20011215-3mdk
- rebuild for new readline

* Thu Dec 20 2001 Pixel <pixel@mandrakesoft.com> 20011215-2mdk
- rebuild

* Mon Dec 17 2001 Pixel <pixel@mandrakesoft.com> 20011215-1mdk
- new version

* Fri Nov 16 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 20010215-4mdk
- use %%old_makeinstall
- pass -q to %%setup

* Thu Oct 11 2001 Pixel <pixel@mandrakesoft.com> 20010215-3mdk
- s/Copyright/License/

* Thu Jul 26 2001 Pixel <pixel@mandrakesoft.com> 20010215-2mdk
- use %%{optflags}
- add emacs haskell-mode

* Thu Feb 15 2001 Pixel <pixel@mandrakesoft.com> 20010215-1mdk
- new version

* Sat Feb  3 2001 Pixel <pixel@mandrakesoft.com> 2000229-9mdk
- fix BuildRoot

* Thu Nov  2 2000 Pixel <pixel@mandrakesoft.com> 2000229-8mdk
- fix for new glibc (backport from cvs)

* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 2000229-7mdk
- remove menu

* Wed Aug 23 2000 Pixel <pixel@mandrakesoft.com> 2000229-6mdk
- add packager field

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2000229-5mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 2000229-4mdk
- macroization, BM

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 2000229-3mdk
- really add menu

* Mon Mar 27 2000 Pixel <pixel@mandrakesoft.com> 2000229-2mdk
- add menu

* Sat Mar 11 2000 Pixel <pixel@mandrakesoft.com> 2000229-1mdk
- new version

* Sun Nov 28 1999 Pixel <pixel@linux-mandrake.com>
- mandrake adaptation (and much cleanup)

